Update one price break

patch

/fscmRestApi/resources/11.13.18.05/draftPurchaseAgreements/{draftPurchaseAgreementsUniqID}/child/lines/{AgreementLineId}/child/priceBreaks/{priceBreaksUniqID}

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
  • This is the hash key of the attributes which make up the composite key for the Draft Purchase Agreements resource and used to uniquely identify an instance of Draft Purchase Agreements. The client should not generate the hash key value. Instead, the client should query on the Draft Purchase Agreements collection resource in order to navigate to a specific instance of Draft Purchase Agreements to get the hash key.
  • This is the hash key of the attributes which make up the composite key for the Price Breaks resource and used to uniquely identify an instance of Price Breaks. The client should not generate the hash key value. Instead, the client should query on the Price Breaks collection resource in order to navigate to a specific instance of Price Breaks to get the hash key.
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : Attachments
Type: array
Title: Attachments
The attachments resource is used to view, create, and update attachments.
Show Source
Nested Schema : DFF
Type: array
Show Source
Nested Schema : draftPurchaseAgreements-lines-priceBreaks-attachments-item-patch-request
Type: object
Show Source
Nested Schema : draftPurchaseAgreements-lines-priceBreaks-DFF-item-patch-request
Type: object
Show Source
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : draftPurchaseAgreements-lines-priceBreaks-item-response
Type: object
Show Source
Nested Schema : Attachments
Type: array
Title: Attachments
The attachments resource is used to view, create, and update attachments.
Show Source
Nested Schema : DFF
Type: array
Show Source
Nested Schema : draftPurchaseAgreements-lines-priceBreaks-attachments-item-response
Type: object
Show Source
Nested Schema : draftPurchaseAgreements-lines-priceBreaks-DFF-item-response
Type: object
Show Source
Back to Top

Examples

These examples describes how to update one price break for a blanket purchase agreement line.

Note:

Here are a few examples to update one price break on a blanket purchase agreement line:
  1. Update quantity and discount one a price break
  2. Update start date and end date one a cumulative price break
  3. Update price break descriptive flexfields

Example cURL Command

Use the following cURL command to submit a request on the REST resource.

curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload'  "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/draftPurchaseAgreementsUniqID/child/lines/AgreementLineId/child/priceBreaks/priceBreaksUniqID"

Examples

Table - Examples

Example Number Description
Example 1 Update quantity and discount one a price break
Example 2 Update start date and end date one a cumulative price break
Example 3 Update price break descriptive flexfields

Example1

For example:
curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload'  "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100651109637/child/lines/300100651109639/child/priceBreaks/300100651109641"

Example1 Request Body

The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.


{
    "Quantity": 1500,
    "DiscountPercent": 25
}

Example1 Response Body

The following example includes the contents of the response body in JSON format:
{
    "PriceBreakId": 300100651109641,
    "PriceBreakNumber": 2,
    "AgreementLineId": 300100651109639,
    "ShipToOrganizationId": null,
    "ShipToOrganizationCode": null,
    "ShipToOrganization": null,
    "LocationId": null,
    "LocationCode": null,
    "Location": null,
    "Quantity": 1500,
    "UOMCode": "Ea",
    "UOM": "Each",
    "Price": 5.2500000000,
    "DiscountPercent": 25,
    "StartDate": null,
    "EndDate": null,
    "CurrencyCode": "USD",
    "Currency": "US Dollar",
    "CreatedBy": "CVBUYER01",
    "CreationDate": "2026-05-01T12:57:03.160+00:00",
    "LastUpdatedBy": "CVBUYER01",
    "LastUpdateDate": "2026-05-01T12:57:03.159+00:00",
    "NumberOfPriceBreakAttachments": 0,
    "CancelFlag": false,
    "EntityChangeTypeCode": "I",
    "ReasonForChange": null,
    "NumberOfPriceBreakSupplierAttachments": 0,
    "links": [
        {
            "rel": "self",
            "href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100651109637/child/lines/300100651109639/child/priceBreaks/300100651109641",
            "name": "priceBreaks",
            "kind": "item",
            "properties": {
                "changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000278"
            }
        },
        {
            "rel": "canonical",
            "href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100651109637/child/lines/300100651109639/child/priceBreaks/300100651109641",
            "name": "priceBreaks",
            "kind": "item"
        },
        {
            "rel": "parent",
            "href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100651109637/child/lines/300100651109639",
            "name": "lines",
            "kind": "item"
        },
        {
            "rel": "child",
            "href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100651109637/child/lines/300100651109639/child/priceBreaks/300100651109641/child/DFF",
            "name": "DFF",
            "kind": "collection"
        },
        {
            "rel": "child",
            "href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100651109637/child/lines/300100651109639/child/priceBreaks/300100651109641/child/attachments",
            "name": "attachments",
            "kind": "collection"
        }
    ]
}

Example 2

For example:
curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload'  "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100651109637/child/lines/300100651109642/child/priceBreaks/300100651109643"

Request Body

The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.


{
    "Price": 1.25,
    "StartDate": "2026-04-15",
    "EndDate": "2026-06-15"
}

Response Body

The following example includes the contents of the response body in JSON format:

{
    "PriceBreakId": 300100651109643,
    "PriceBreakNumber": 1,
    "AgreementLineId": 300100651109642,
    "ShipToOrganizationId": null,
    "ShipToOrganizationCode": null,
    "ShipToOrganization": null,
    "LocationId": null,
    "LocationCode": null,
    "Location": null,
    "Quantity": null,
    "UOMCode": "Ea",
    "UOM": "Each",
    "Price": 1.25,
    "DiscountPercent": 37.18593,
    "StartDate": "2026-04-15",
    "EndDate": "2026-06-15",
    "CurrencyCode": "USD",
    "Currency": "US Dollar",
    "CreatedBy": "CVBUYER01",
    "CreationDate": "2026-05-01T13:01:27.024+00:00",
    "LastUpdatedBy": "CVBUYER01",
    "LastUpdateDate": "2026-05-01T13:01:27.024+00:00",
    "NumberOfPriceBreakAttachments": 0,
    "CancelFlag": false,
    "EntityChangeTypeCode": "I",
    "ReasonForChange": null,
    "NumberOfPriceBreakSupplierAttachments": 0,
    "links": [
        {
            "rel": "self",
            "href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100651109637/child/lines/300100651109642/child/priceBreaks/300100651109643",
            "name": "priceBreaks",
            "kind": "item",
            "properties": {
                "changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000478"
            }
        },
        {
            "rel": "canonical",
            "href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100651109637/child/lines/300100651109642/child/priceBreaks/300100651109643",
            "name": "priceBreaks",
            "kind": "item"
        },
        {
            "rel": "parent",
            "href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100651109637/child/lines/300100651109642",
            "name": "lines",
            "kind": "item"
        },
        {
            "rel": "child",
            "href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100651109637/child/lines/300100651109642/child/priceBreaks/300100651109643/child/DFF",
            "name": "DFF",
            "kind": "collection"
        },
        {
            "rel": "child",
            "href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100651109637/child/lines/300100651109642/child/priceBreaks/300100651109643/child/attachments",
            "name": "attachments",
            "kind": "collection"
        }
    ]
}

Example 3

For example:
curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload'  "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100651109637/child/lines/300100651109642/child/priceBreaks/300100651109643"

Request Body

The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.


{
    "abpTolerance": "RoHS",
     "legalEntityPoDff" : "29ABCDE1234F1Z5",
     "_PO__Document__Schedule__BI__" : "17738"
}

Response Body

The following example includes the contents of the response body in JSON format:

{
    "LineLocationId": 300100651109643,
    "_PO__Document__Schedule__BI__": "17738",
    "abpTolerance": "RoHS",
    "legalEntityPoDff": "29ABCDE1234F1Z5",
    "__FLEX_Context": null,
    "__FLEX_Context_DisplayValue": null,
    "links": [
        {
            "rel": "self",
            "href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100651109637/child/lines/300100651109642/child/priceBreaks/300100651109643/child/DFF/300100651109643",
            "name": "DFF",
            "kind": "item",
            "properties": {
                "changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000578"
            }
        },
        {
            "rel": "canonical",
            "href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100651109637/child/lines/300100651109642/child/priceBreaks/300100651109643/child/DFF/300100651109643",
            "name": "DFF",
            "kind": "item"
        },
        {
            "rel": "parent",
            "href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100651109637/child/lines/300100651109642/child/priceBreaks/300100651109643",
            "name": "priceBreaks",
            "kind": "item"
        }
    ]
}
Back to Top